```
SELECT name, continent, code, surface_area,
    -- 1. First case
    CASE WHEN surface_area > 2000000 THEN 'large'
        -- 2. Second case
        WHEN surface_area > 350000 THEN 'medium'
        -- Notice that this automatically 
        -- exclude the range used previously
        -- So no need to define the range explicitly like:
         -- WHEN surface_area BETWEEN 350001 
         -- AND 2000000 THEN 'medium'
        -- 3. Else clause + end
        ELSE 'small' END
        -- 4. Alias name
        AS geosize_group
-- 5. From table
FROM countries;
```